org.apache.hadoop.yarn.api.records

## Class SchedulingRequest.SchedulingRequestBuilder

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.SchedulingRequest.SchedulingRequestBuilder

- Enclosing class:
    SchedulingRequest

      @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public static final class SchedulingRequest.SchedulingRequestBuilder
      extends Object

  Class to construct instances of `SchedulingRequest` with specific options.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchedulingRequest.SchedulingRequestBuilder` | `allocationRequestId(long allocationRequestId)` Set the `allocationRequestId` of the request.
    `SchedulingRequest.SchedulingRequestBuilder` | `allocationTags(Set<String> allocationTags)` Set the `allocationTags` of the request.
    `SchedulingRequest` | `build()` Return generated `SchedulingRequest` object.
    `SchedulingRequest.SchedulingRequestBuilder` | `executionType(ExecutionTypeRequest executionType)` Set the `executionType` of the request.
    `SchedulingRequest.SchedulingRequestBuilder` | `placementConstraintExpression(PlacementConstraint placementConstraintExpression)` Set the `placementConstraintExpression` of the request.
    `SchedulingRequest.SchedulingRequestBuilder` | `priority(Priority priority)` Set the `priority` of the request.
    `SchedulingRequest.SchedulingRequestBuilder` | `resourceSizing(ResourceSizing resourceSizing)` Set the `executionType` of the request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### allocationRequestId

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public SchedulingRequest.SchedulingRequestBuilder allocationRequestId(long allocationRequestId)

      Set the `allocationRequestId` of the request.
      Parameters:
        `allocationRequestId` - `allocationRequestId` of the request
      Returns:
        `SchedulingRequest.SchedulingRequestBuilder`
      See Also:
        `SchedulingRequest.setAllocationRequestId(long)`

    - #### priority

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public SchedulingRequest.SchedulingRequestBuilder priority(Priority priority)

      Set the `priority` of the request.
      Parameters:
        `priority` - `priority` of the request
      Returns:
        `SchedulingRequest.SchedulingRequestBuilder`
      See Also:
        `SchedulingRequest.setPriority(Priority)`

    - #### executionType

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public SchedulingRequest.SchedulingRequestBuilder executionType(ExecutionTypeRequest executionType)

      Set the `executionType` of the request.
      Parameters:
        `executionType` - `executionType` of the request
      Returns:
        `SchedulingRequest.SchedulingRequestBuilder`
      See Also:
        `SchedulingRequest.setExecutionType(ExecutionTypeRequest)`

    - #### allocationTags

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public SchedulingRequest.SchedulingRequestBuilder allocationTags(Set<String> allocationTags)

      Set the `allocationTags` of the request.
      Parameters:
        `allocationTags` - `allocationsTags` of the request
      Returns:
        `SchedulingRequest.SchedulingRequestBuilder`
      See Also:
        `SchedulingRequest.setAllocationTags(Set)`

    - #### resourceSizing

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public SchedulingRequest.SchedulingRequestBuilder resourceSizing(ResourceSizing resourceSizing)

      Set the `executionType` of the request.
      Parameters:
        `resourceSizing` - `resourceSizing` of the request
      Returns:
        `SchedulingRequest.SchedulingRequestBuilder`
      See Also:
        `SchedulingRequest.setResourceSizing(ResourceSizing)`

    - #### placementConstraintExpression

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public SchedulingRequest.SchedulingRequestBuilder placementConstraintExpression(PlacementConstraint placementConstraintExpression)

      Set the `placementConstraintExpression` of the request.
      Parameters:
        `placementConstraintExpression` - `placementConstraints` of the request
      Returns:
        `SchedulingRequest.SchedulingRequestBuilder`
      See Also:
        `SchedulingRequest.setPlacementConstraint( PlacementConstraint)`

    - #### build

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public SchedulingRequest build()

      Return generated `SchedulingRequest` object.
      Returns:
        `SchedulingRequest`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.